Bug 74757 - XFree86 4.4/Xorg 6.7.0 i810 problem with Compaq d530
Summary: XFree86 4.4/Xorg 6.7.0 i810 problem with Compaq d530
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-06 07:20 UTC by Shanker Balan
Modified: 2005-03-17 23:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shanker Balan 2004-12-06 07:20:26 UTC
Upgrading to latest X4.4/Xorg 6.7.0 from ports breaks display on i810.

Works correclty on X11R6 4.3 from ports.

agp0@pci0:2:0:  class=0x030000 card=0x00b90e11 chip=0x25628086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82845G/GL/GV/GE/PE Integrated Graphics Device'
    class    = display
    subclass = VGA

Another person having a similar problem:
http://lists.freebsd.org/pipermail/freebsd-x11/2004-September/000868.html

How-To-Repeat: Upgrade X on Compaq d530 to the latest from ports.
Comment 1 Tilman Keskinoz freebsd_committer 2004-12-17 23:16:34 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-x11

sounds like a X-ports problem.
Comment 3 Dejan Lesjak 2005-03-04 05:39:03 UTC
As Anders Nor Berle noted in post to FreeBSD-X11@FreeBSD.org:
http://lists.freebsd.org/pipermail/freebsd-x11/2005-March/001714.html
The mentioned bugzilla entry now contains a patch that seems to solve this 
problem. The patch has been a bit revised since.
Does this patch solve this problem?
Comment 4 Shanker Balan 2005-03-04 05:50:47 UTC
Hello Dejan,

Dejan Lesjak wrote,
> As Anders Nor Berle noted in post to FreeBSD-X11@FreeBSD.org:
> http://lists.freebsd.org/pipermail/freebsd-x11/2005-March/001714.html
> The mentioned bugzilla entry now contains a patch that seems to solve
> this problem. The patch has been a bit revised since.  Does this patch
> solve this problem?

I have been following the thread and desperately trying to get back my
original workstation to check whether the patch indeed fixes the
problem.

However, I have not been able to get access to the workstation.

In the light of things, please consider the bug fixed.

Sorry for being of no help!

Thanks!

-- 
http://shankerbalan.net/
Comment 5 lesi freebsd_committer 2005-03-17 23:52:00 UTC
State Changed
From-To: open->closed

Commited with X.Org upgrade to 6.8.2. Similar fix could be applied to XFree86 
ports if somebody manages to test it. 
Thanks for the report!